#specifying the transition probability matrix
tm<- matrix(c(0.1278, 0.8722, 0.6631, 0.3369), nrow=2, 
ncol=2, byrow=TRUE)

#creating Markov chain object
library(markovchain)
mc<- new("markovchain", transitionMatrix=tm, states=c("v", "c"))

#computing Markov chain characteristics
steadyStates(mc)